Description

Hi,

I can't get foreman-installer to run properly when trying to enable remote-execution and proxy-plugin-remote-execution-ssh

[root@test-foreman scenarios.d]# foreman-installer --enable-foreman-plugin-remote-execution --enab

le-foreman-proxy-plugin-remote-execution-ssh --debug

ERROR: Unrecognised option '--enable-foreman-plugin-remote-execution'

See: 'foreman-installer --help'

 Here is the contents of /etc/foreman-installer/scenarios.d/foreman.yaml

[root@test-foreman scenarios.d]# cat foreman.yaml

---

  :name: Foreman

  :description: "Default installation of Foreman" 

  :enabled: true

  :log_dir: /var/log/foreman-installer

  :log_name: foreman.log

  :log_level: :debug

  :no_prefix: false

  :mapping:

    :"foreman::cli":

      :dir_name: foreman

      :manifest_name: cli

      :params_name: cli/params

    :"foreman::plugin::ansible":

      :dir_name: foreman

      :manifest_name: plugin/ansible

    :"foreman::plugin::bootdisk":

      :dir_name: foreman

      :manifest_name: plugin/bootdisk

    :"foreman::plugin::cockpit":

      :dir_name: foreman

      :manifest_name: plugin/cockpit

    :"foreman::plugin::puppetdb":

      :dir_name: foreman

      :params_name: plugin/puppetdb/params

      :manifest_name: plugin/puppetdb

    :"foreman::plugin::hooks":

      :dir_name: foreman

      :manifest_name: plugin/hooks

    :"foreman::plugin::dhcp_browser":

      :dir_name: foreman

      :manifest_name: plugin/dhcp_browser
    :"foreman::plugin::digitalocean":

      :dir_name: foreman

      :manifest_name: plugin/digitalocean

    :"foreman::plugin::discovery":

      :dir_name: foreman

      :manifest_name: plugin/discovery

      :params_name: plugin/discovery/params

    :"foreman::plugin::docker":

      :dir_name: foreman

      :manifest_name: plugin/docker

    :"foreman::plugin::memcache":

      :dir_name: foreman

      :manifest_name: plugin/memcache

      :params_name: plugin/memcache/params

    :"foreman::plugin::openscap":

      :dir_name: foreman

      :params_name: plugin/openscap/params

      :manifest_name: plugin/openscap

    :"foreman::plugin::ovirt_provision":

      :dir_name: foreman

      :params_name: plugin/ovirt_provision/params

      :manifest_name: plugin/ovirt_provision

    :"foreman::plugin::chef":

      :dir_name: foreman

      :manifest_name: plugin/chef

    :"foreman::plugin::tasks":

      :dir_name: foreman

      :params_name: plugin/tasks/params

      :manifest_name: plugin/tasks

    :"foreman::plugin::templates":

      :dir_name: foreman

      :manifest_name: plugin/templates

    :"foreman::plugin::remote_execution":

      :dir_name: foreman

      :manifest_name: plugin/remote_execution

    :"foreman::plugin::salt":

      :dir_name: foreman

      :manifest_name: plugin/salt

    :"foreman::plugin::setup":

      :dir_name: foreman

      :manifest_name: plugin/setup

    :"foreman::plugin::default_hostgroup":

      :dir_name: foreman

      :manifest_name: plugin/default_hostgroup

    :"foreman::compute::rackspace":

      :dir_name: foreman

      :manifest_name: compute/rackspace

    :"foreman::compute::openstack":

      :dir_name: foreman

      :manifest_name: compute/openstack

    :"foreman::compute::vmware":

      :dir_name: foreman

      :manifest_name: compute/vmware

    :"foreman::compute::libvirt":

      :dir_name: foreman

      :manifest_name: compute/libvirt

    :"foreman::compute::ec2":

      :dir_name: foreman

      :manifest_name: compute/ec2

    :"foreman::compute::gce":

      :dir_name: foreman

      :manifest_name: compute/gce

    :"foreman::compute::ovirt":

      :dir_name: foreman

      :manifest_name: compute/ovirt

    :"foreman_proxy::plugin::abrt":

      :manifest_name: plugin/abrt
      :params_name: plugin/abrt/params

      :dir_name: foreman_proxy

    :"foreman_proxy::plugin::chef":

      :manifest_name: plugin/chef

      :params_name: plugin/chef/params

      :dir_name: foreman_proxy

    :"foreman_proxy::plugin::discovery":

      :manifest_name: plugin/discovery

      :params_name: plugin/discovery/params

      :dir_name: foreman_proxy

    :"foreman_proxy::plugin::dns::powerdns":

      :manifest_name: plugin/dns/powerdns

      :params_name: plugin/dns/powerdns/params

      :dir_name: foreman_proxy

    :"foreman_proxy::plugin::dynflow":

      :manifest_name: plugin/dynflow

      :params_name: plugin/dynflow/params

      :dir_name: foreman_proxy

    :"foreman_proxy::plugin::openscap":

      :manifest_name: plugin/openscap

      :params_name: plugin/openscap/params

      :dir_name: foreman_proxy

    :"foreman_proxy::plugin::pulp":

      :manifest_name: plugin/pulp

      :params_name: plugin/pulp/params

      :dir_name: foreman_proxy

    :"foreman_proxy::plugin::remote_execution::ssh":

      :manifest_name: plugin/remote_execution/ssh

      :params_name: plugin/remote_execution/ssh/params

      :dir_name: foreman_proxy

    :"foreman_proxy::plugin::salt":

      :manifest_name: plugin/salt

      :params_name: plugin/salt/params

      :dir_name: foreman_proxy

  :answer_file: /etc/foreman-installer/scenarios.d/foreman-answers.yaml

  :installer_dir: "." 

  :module_dirs: /usr/share/foreman-installer/modules

  :default_values_dir: /tmp

  :colors: true

  :color_of_background: :dark

  :hook_dirs: []

  :custom: {}

  :low_priority_modules:

    - foreman_proxy_plugin

    - foreman_compute

    - foreman_plugin

  :verbose_log_level: info

  :order:

    - foreman

    - foreman_proxy

    - puppet

  :password: xxxxxxx

 The log file is empty.

Does anybody have any clue what this could be?

Associated revisions

Revision 26e5ad70 - 07/25/2016 10:20 AM - Dominic Cleal

fixes #15792 - add migration for remote execution plugins

History

#1 - 07/22/2016 10:05 AM - Dominic Cleal

- Project changed from Foreman to Installer
- Subject changed from Foreman-Installer is broken on 1.11.3 for me to ERROR: Unrecognised option '--enable-foreman-plugin-remote-execution'

- Category set to foreman-installer script

- Status changed from New to Need more information

Please include your answers file (sans passwords/tokens) or output from grep "^\S\+" /etc/foreman-installer/scenarios.d/foreman-answers.yaml

#2 - 07/22/2016 01:20 PM - Christophe Trefois

[root@lcsb-foreman-server scenarios.d]# cat foreman-answers.yaml

# Format:

# <classname>: false - don't include this class

# <classname>: true - include and use the defaults

# <classname>:

#   <param>: <value> - include and override the default(s)

#

# See params.pp in each class for what options are available

---

  foreman:

    foreman_url: "https://lcsb-foreman-server.uni.lu" 

    puppetrun: false

    unattended: true

    authentication: true

    passenger: true

    passenger_ruby: /usr/bin/ruby193-ruby

    passenger_ruby_package: tfm-rubygem-passenger-native

    plugin_prefix: tfm-rubygem-foreman_

    use_vhost: true

    servername: lcsb-foreman-server.uni.lu

    serveraliases:

      - foreman

    ssl: true

    custom_repo: true

    repo: stable

    configure_epel_repo: true

    configure_scl_repo: true

    configure_brightbox_repo: false

    selinux:

    gpgcheck: true

    version: present

    db_manage: true

    db_type: postgresql

    db_adapter:

    db_host:

    db_port:

    db_database:

    db_username: xxxxxxx

    db_password: xxxxxxxx

    db_sslmode:

    db_pool: 5

    apipie_task: "apipie:cache:index" 

    app_root: /usr/share/foreman

    manage_user: true

    user: foreman

    group: foreman

    user_groups:

      - puppet

    environment: production

    puppet_home: /var/lib/puppet

    locations_enabled: false

    organizations_enabled: false

    passenger_interface:

    server_ssl_ca: /var/lib/puppet/ssl/certs/ca.pem

    server_ssl_chain: /var/lib/puppet/ssl/certs/ca.pem

    server_ssl_cert: /var/lib/puppet/ssl/certs/lcsb-foreman-server.uni.lu.pem

    server_ssl_certs_dir: "" 

    server_ssl_key: /var/lib/puppet/ssl/private_keys/lcsb-foreman-server.uni.lu.pem

    server_ssl_crl: /var/lib/puppet/ssl/ca/ca_crl.pem

    oauth_active: true

    oauth_map_users: false

    oauth_consumer_key: xxxxxx

    oauth_consumer_secret: xxxxxxx

    passenger_prestart: true
    passenger_min_instances: "1" 

    passenger_start_timeout: "600" 

    admin_username: xxxxxxx

    admin_password: xxxxxx

    admin_first_name:

    admin_last_name:

    admin_email:

    initial_organization:

    initial_location:

    ipa_authentication: false

    http_keytab: /etc/httpd/conf/http.keytab

    pam_service: foreman

    ipa_manage_sssd: true

    websockets_encrypt: true

    websockets_ssl_key: /var/lib/puppet/ssl/private_keys/lcsb-foreman-server.uni.lu.pem

    websockets_ssl_cert: /var/lib/puppet/ssl/certs/lcsb-foreman-server.uni.lu.pem

    logging_level: info

    loggers: {}

    email_conf: email.yaml

    email_source: email.yaml.erb

    email_delivery_method:

    email_smtp_address:

    email_smtp_port: 25

    email_smtp_domain:

    email_smtp_authentication: none

    email_smtp_user_name:

    email_smtp_password:

  "foreman::cli":

    foreman_url:

    manage_root_config: true

    username:

    password:

    refresh_cache: false

    request_timeout: 120

  foreman_proxy:

    repo: stable

    gpgcheck: true

    custom_repo: true

    version: present

    plugin_version: installed

    bind_host: "*" 

    port:

    http_port: 8000

    ssl_port: 8443

    dir: /usr/share/foreman-proxy

    user: foreman-proxy

    log: /var/log/foreman-proxy/proxy.log

    log_level: ERROR

    log_buffer: 2000

    log_buffer_errors: 1000

    http: false

    ssl: true

    ssl_ca: /var/lib/puppet/ssl/certs/ca.pem

    ssl_cert: /var/lib/puppet/ssl/certs/lcsb-foreman-server.uni.lu.pem

    ssl_key: /var/lib/puppet/ssl/private_keys/lcsb-foreman-server.uni.lu.pem

    foreman_ssl_ca:

    foreman_ssl_cert:

    foreman_ssl_key:

    trusted_hosts:

      - lcsb-foreman-server.uni.lu

    manage_sudoersd: true

    use_sudoersd: true

    puppetca: true

    puppetca_listen_on: https

    ssldir: /var/lib/puppet/ssl

    puppetdir: /etc/puppet

    autosign_location: /etc/puppet/autosign.conf

    puppetca_cmd: "/usr/bin/puppet cert" 

    puppet_group: puppet

    puppetrun: true

    puppetrun_listen_on: https

    puppetrun_cmd: "/usr/bin/puppet kick" 

    puppetrun_provider:

    customrun_cmd: /bin/false

    customrun_args: "-ay -f -s" 
    puppetssh_sudo: false

    puppetssh_command: "/usr/bin/puppet agent --onetime --no-usecacheonfailure" 

    puppetssh_user: root

    puppetssh_keyfile: /etc/foreman-proxy/id_rsa

    puppetssh_wait: false

    salt_puppetrun_cmd: puppet.run

    puppet_user: root

    puppet_url: "https://lcsb-foreman-server.uni.lu:8140" 

    puppet_ssl_ca: /var/lib/puppet/ssl/certs/ca.pem

    puppet_ssl_cert: /var/lib/puppet/ssl/certs/lcsb-foreman-server.uni.lu.pem

    puppet_ssl_key: /var/lib/puppet/ssl/private_keys/lcsb-foreman-server.uni.lu.pem

    puppet_use_environment_api:

    templates: false

    templates_listen_on: both

    template_url: "http://lcsb-foreman-server.uni.lu:8000" 

    logs: false

    logs_listen_on: https

    tftp: true

    tftp_listen_on: https

    tftp_manage_wget: true

    tftp_syslinux_root:

    tftp_syslinux_files:

    tftp_syslinux_filenames:

      - /usr/share/syslinux/chain.c32

      - /usr/share/syslinux/menu.c32

      - /usr/share/syslinux/memdisk

      - /usr/share/syslinux/pxelinux.0

    tftp_root: /var/lib/tftpboot/

    tftp_dirs:

      - /var/lib/tftpboot//pxelinux.cfg

      - /var/lib/tftpboot//boot

    tftp_servername: "10.79.2.46" 

    dhcp: true

    dhcp_split_config_files: true

    dhcp_listen_on: https

    dhcp_managed: true

    dhcp_provider: isc

    dhcp_vendor: isc

    dhcp_option_domain:

      - uni.lu

    dhcp_interface: eth0

    dhcp_gateway: "xxxx" 

    dhcp_range: "1xxxxx" 

    dhcp_nameservers: "1xxxxxx" 

    dhcp_server: "127.0.0.1" 

    dhcp_config: /etc/dhcp/dhcpd.conf

    dhcp_leases: /var/lib/dhcpd/dhcpd.leases

    dhcp_key_name:

    dhcp_key_secret:

    dhcp_omapi_port: 7911

    dns: true

    dns_split_config_files: true

    dns_listen_on: https

    dns_managed: true

    dns_provider: nsupdate

    dns_interface: eth0

    dns_zone: uni.lu

    dns_reverse: "79.10.in-addr.arpa" 

    dns_server: "127.0.0.1" 

    dns_ttl: "86400" 

    dns_tsig_keytab: /etc/foreman-proxy/dns.keytab

    dns_tsig_principal: "foremanproxy/lcsb-foreman-server.uni.lu@UNI.LU" 

    dns_forwarders:

      - "10.xxxxx" 

      - "10.xxxxx" 

    virsh_network: default

    bmc: false

    bmc_listen_on: https

    bmc_default_provider: ipmitool

    realm: false

    realm_listen_on: https

    realm_provider: freeipa

    realm_keytab: /etc/foreman-proxy/freeipa.keytab

    realm_principal: "realm-proxy@EXAMPLE.COM" 

    freeipa_remove_dns: true
    keyfile: /etc/rndc.key

    register_in_foreman: true

    foreman_base_url: "https://lcsb-foreman-server.uni.lu" 

    registered_name: lcsb-foreman-server.uni.lu

    registered_proxy_url: "https://lcsb-foreman-server.uni.lu:8443" 

    oauth_effective_user: xxxxx

    oauth_consumer_key: xxxxx

    oauth_consumer_secret: xxxxx

    puppet_use_cache:

    puppet_cache_location: /var/cache/foreman-proxy

  puppet:

    version: present

    user: puppet

    group: puppet

    dir: /etc/puppet

    codedir: /etc/puppet

    vardir: /var/lib/puppet

    logdir: /var/log/puppet

    rundir: /var/run/puppet

    ssldir: "$vardir/ssl" 

    sharedir: /usr/share/puppet

    manage_packages: true

    dir_owner: puppet

    dir_group: puppet

    package_provider:

    package_source:

    port: 8140

    listen: false

    listen_to: []

    pluginsync: true

    splay: false

    splaylimit: "1800" 

    autosign: "$confdir/autosign.conf { mode = 664 }" 

    runinterval: 1800

    usecacheonfailure: true

    runmode: service

    unavailable_runmodes: []

    cron_cmd:

    systemd_cmd:

    agent_noop: false

    show_diff: false

    module_repository:

    configtimeout: 120

    ca_server:

    ca_port:

    prerun_command:

    postrun_command:

    dns_alt_names: []

    use_srv_records: false

    srv_domain: uni.lu

    pluginsource: "puppet:///plugins" 

    pluginfactsource: "puppet:///pluginfacts" 

    additional_settings: {}

    agent_additional_settings: {}

    agent_restart_command: "/usr/bin/systemctl reload-or-restart puppet" 

    classfile: "$vardir/classes.txt" 

    hiera_config: "$confdir/hiera.yaml" 

    main_template: puppet/puppet.conf.erb

    agent_template: puppet/agent/puppet.conf.erb

    auth_template: puppet/auth.conf.erb

    nsauth_template: puppet/namespaceauth.conf.erb

    allow_any_crl_auth: false

    auth_allowed:

      - "$1" 

    client_package:

      - puppet

    agent: true

    remove_lock: true

    puppetmaster:

    systemd_unit_name: puppet-run

    service_name: puppet

    syslogfacility:

    environment: production

    server: true

    server_user: puppet
    server_group: puppet

    server_dir: /etc/puppet

    server_port: 8140

    server_ca: true

    server_http: false

    server_http_port: 8139

    server_http_allow: []

    server_reports: foreman

    server_implementation: master

    server_passenger: true

    server_service_fallback: true

    server_passenger_max_pool: 12

    server_httpd_service: httpd

    server_external_nodes: /etc/puppet/node.rb

    server_template: puppet/server/puppet.conf.erb

    server_config_version:

    server_git_repo: false

    server_dynamic_environments: false

    server_directory_environments: true

    server_default_manifest: false

    server_default_manifest_path: /etc/puppet/manifests/default_manifest.pp

    server_default_manifest_content: "" 

    server_environments:

      - development

      - production

    server_environments_owner: puppet

    server_environments_group:

    server_environments_mode: "0755" 

    server_envs_dir: /etc/puppet/environments

    server_manifest_path: /etc/puppet/manifests

    server_common_modules_path:

      - /etc/puppet/environments/common

      - /etc/puppet/modules

      - /usr/share/puppet/modules

    server_git_repo_mode: "0755" 

    server_git_repo_path: /var/lib/puppet/puppet.git

    server_git_repo_group: puppet

    server_git_repo_user: puppet

    server_git_branch_map: {}

    server_post_hook_content: puppet/server/post-receive.erb

    server_post_hook_name: post-receive

    server_storeconfigs_backend:

    server_app_root: /etc/puppet/rack

    server_ssl_dir: /var/lib/puppet/ssl

    server_ssl_dir_manage: true

    server_package:

    server_version:

    server_certname: lcsb-foreman-server.uni.lu

    server_enc_api: v2

    server_report_api: v2

    server_request_timeout: 60

    server_ca_proxy:

    server_strict_variables: false

    server_additional_settings: {}

    server_rack_arguments: []

    server_foreman: true

    server_foreman_url: "https://lcsb-foreman-server.uni.lu" 

    server_foreman_ssl_ca:

    server_foreman_ssl_cert:

    server_foreman_ssl_key:

    server_facts: true

    server_puppet_basedir:

    server_puppetdb_host:

    server_puppetdb_port: 8081

    server_puppetdb_swf: false

    server_parser: current

    server_environment_timeout:

    server_jvm_java_bin: /usr/bin/java

    server_jvm_config: /etc/sysconfig/puppetserver

    server_jvm_min_heap_size: "2G" 

    server_jvm_max_heap_size: "2G" 

    server_jvm_extra_args: "" 

  "foreman::plugin::bootdisk": false

  "foreman::plugin::chef": false

  "foreman::plugin::default_hostgroup": false
  "foreman::plugin::digitalocean": false

  "foreman::plugin::discovery":

    install_images: false

    tftp_root: /var/lib/tftpboot

    source_url: "http://downloads.theforeman.org/discovery/releases/latest/" 

    image_name: fdi-image-latest.tar

  "foreman::plugin::docker": false

  "foreman::plugin::hooks": false

  "foreman::plugin::openscap": false

  "foreman::plugin::ovirt_provision": false

  "foreman::plugin::puppetdb": false

  "foreman::plugin::salt": false

  "foreman::plugin::setup": {}

  "foreman::plugin::tasks": false

  "foreman::plugin::templates": {}

  "foreman::compute::ec2": false

  "foreman::compute::gce": false

  "foreman::compute::libvirt": false

  "foreman::compute::openstack": false

  "foreman::compute::ovirt": false

  "foreman::compute::rackspace": false

  "foreman::compute::vmware": false

  "foreman_proxy::plugin::abrt": false

  "foreman_proxy::plugin::chef": false

  "foreman_proxy::plugin::openscap": false

  "foreman_proxy::plugin::pulp": false

  "foreman_proxy::plugin::salt": false

#3 - 07/25/2016 02:53 AM - Dominic Cleal

- Status changed from Need more information to Feedback

Add these entries to the answers file:

  "foreman::plugin::remote_execution": false

  "foreman_proxy::plugin::remote_execution::ssh": false

#4 - 07/25/2016 10:08 AM - Christophe Trefois

Ok works now.

Thanks Dominic.

#5 - 07/25/2016 10:11 AM - Dominic Cleal

- Status changed from Feedback to New

I'll leave this open so we can add a config file migration, I think it's missing if you upgraded from 1.9 or older.

#6 - 07/25/2016 10:22 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Dominic Cleal

- Pull request https://github.com/theforeman/foreman-installer/pull/192 added

#7 - 07/25/2016 12:01 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 26e5ad7087c4c24ec92cb1453d3cc1cd19d4748d.

#8 - 07/27/2016 06:28 AM - Dominic Cleal

- translation missing: en.field_release set to 160
